Bug 21128 - Replace JavaScript-driven authority hierarchy display with static version
Summary: Replace JavaScript-driven authority hierarchy display with static version
Status: CLOSED WONTFIX
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 8523
Blocks:
  Show dependency treegraph
 
Reported: 2018-07-27 13:56 UTC by Owen Leonard
Modified: 2020-06-04 20:33 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Screenshot showing the authority hierarchy tree in the OPAC (12.96 KB, image/png)
2018-07-27 13:56 UTC, Owen Leonard
Details
Screenshot showing the authority hierarchy tree in the staff client (18.42 KB, image/png)
2018-07-27 14:15 UTC, Owen Leonard
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-07-27 13:56:59 UTC
Created attachment 77307 [details]
Screenshot showing the authority hierarchy tree in the OPAC

If the AuthDisplayHierarchy system preference is enabled, authority hierarchies in the OPAC and staff client are displayed as a tree via a jQuery plugin, jsTree. Rather than try to keep up with plugin upgrades, I propose that we replace the dynamic tree with a static one styled with CSS.
Comment 1 Owen Leonard 2018-07-27 14:15:43 UTC
Created attachment 77308 [details]
Screenshot showing the authority hierarchy tree in the staff client
Comment 2 Frédéric Demians 2018-07-28 07:31:54 UTC
Owen, on the mailing list, you ask:

  Are authority hierarchies often so "deep" that having a collapsible display
  is preferred?  If so, could clicking to show or hide the entire tree be a
  viable alternative?

The response is yes and no. The current behavior is really important for large
thesaurus. By default, the tree is compact. You scan quickly the first level of
terms. You choose to develop a branch. Then you scan the second level of terms.
You develop one term. Etc. The scanning process will be much more difficult on
a entire developed thesaurus.

It seems possible to have such a behavior in pure CSS:

https://codepen.io/anchen/pen/rGDjI
Comment 3 Owen Leonard 2018-07-28 17:36:41 UTC
(In reply to Frédéric Demians from comment #2)
> The response is yes and no. The current behavior is really important for
> large thesaurus.

Thanks Frédéric-- do you know of a public OPAC which would be a good example?
Comment 4 Mirko Tietgen 2018-07-31 09:45:26 UTC
Hi. I might work on classification hierarchy (opac-browser) for a library, checked Koha code and found we use jstree. Glad I also did a search on bz.

I don't think we actually tried to keep up with plugin upgrades, given that we bundle 1.0.-RC3 from 2011. :P

Static won't work for my use case. It will be a local solution anyway, given that the feature in Koha only works for french Dewey, but I'd prefer to use what Koha uses. I'll watch this thread to see where it goes.
Comment 5 Katrin Fischer 2018-07-31 12:37:55 UTC
Hi Mirko, I think you might mean a different thing? This is for the authority detail page, not for the older opac-browser feature.
Comment 6 Owen Leonard 2018-07-31 17:01:36 UTC
(In reply to Mirko Tietgen from comment #4)
> I don't think we actually tried to keep up with plugin upgrades, given that
> we bundle 1.0.-RC3 from 2011. :P

If it turns out that a tree display is the best solution, then we'll certainly upgrade. I just want to make sure we're not missing an opportunity to simplify if it's appropriate.
Comment 7 Owen Leonard 2019-04-30 12:20:34 UTC
I'm going to close this, because my proposal doesn't seem to be robust enough for everyone's needs.
Comment 8 Katrin Fischer 2019-06-24 08:24:14 UTC
Hi Owen, do you remember the issue here? I fail trying to activate the feature right now, following my own cataloguing instructions from bug 8523 comment 19